계약 상세
curl --request GET \
--url https://openapi.pluuug.com/v1/contract/{contract_id} \
--header 'X-API-Key: <api-key>' \
--header 'X-Signature: <api-key>'import requests
url = "https://openapi.pluuug.com/v1/contract/{contract_id}"
headers = {
"X-API-Key": "<api-key>",
"X-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>', 'X-Signature': '<api-key>'}};
fetch('https://openapi.pluuug.com/v1/contract/{contract_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"title": "<string>",
"amount": 1,
"type": "I",
"status": "P",
"created": "2023-11-07T05:31:56Z",
"contractNumber": "<string>",
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"vatType": "E",
"settlementFrequency": 1,
"settlementCycle": "M",
"settlementDay": 1,
"inquiry": {
"id": 123,
"uniqueId": "<string>",
"status": {
"id": 123,
"title": "<string>",
"folder": {
"id": 123,
"name": "<string>"
}
},
"name": "<string>",
"estimate": "<string>",
"inquiryDate": "2023-12-25"
},
"client": {
"id": 123,
"status": {
"id": 123,
"title": "<string>"
},
"companyName": "<string>",
"inCharge": "<string>",
"position": "<string>",
"contact": "<string>",
"email": "jsmith@example.com"
},
"categorySet": [
{
"id": 123,
"title": "<string>"
}
],
"fieldSet": [
{
"field": {
"id": 123,
"name": "<string>",
"dataType": "S",
"optionSet": [
{
"id": "<string>",
"title": "<string>"
}
],
"memberSet": [
{
"id": 123,
"nickname": "<string>",
"email": "<string>",
"isActive": true,
"grade": {
"id": 123,
"title": "<string>"
}
}
]
},
"value": "<string>"
}
]
}계약
계약 단일 조회
단일 계약의 상세 정보를 조회합니다. 연결된 의뢰, 고객, 카테고리, 정산 관련 필드를 모두 포함합니다.
GET
/
v1
/
contract
/
{contract_id}
계약 상세
Authorizations
HMAC-SHA256 방식으로 body를 secret key로 해싱하여 생성한 서명을 넣어야 합니다. 서버는 X-API-Key와 대응되는 secret key로 서명을 검증합니다.
Path Parameters
Response
200 - application/json
계약 제목
Maximum string length:
128계약 금액
Required range:
x >= 0계약 타입
I- 회차 정산형S- 정기 결제형G- 단건 정산
Available options:
I, S, G 계약 상태
P- 계약 준비 중I- 정산 진행 중C- 계약 종료T- 계약 중단
Available options:
P, I, C, T 생성일시
계약 번호
Maximum string length:
128계약 착수일
계약 종료일
부가세 타입
E- 부가세 별도I- 부가세 포함N- 부가세 없음
Available options:
E, I, N 결제 주기 빈도(정기 결제형 계약에서만 사용)
Required range:
x >= 1결제 주기(정기 결제형 계약에서만 사용)
W- 주M- 개월
Available options:
W, M 결제일 (정기 결제형 계약에서만 사용)
주 단위 계약일 경우, 요일에 해당하는 숫자를 입력하세요:
- 일요일:
0 - 월요일:
1 - 화요일:
2 - 수요일:
3 - 목요일:
4 - 금요일:
5 - 토요일:
6
월 단위 계약일 경우, 1일부터 30일 중 원하는 날짜를 숫자로 입력하세요:
- 예: 매월 10일 결제 →
10 - 최소값:
1, 최대값:30
⚠️ * 주의: 월 단위에서 31일은 허용되지 않습니다.*
Required range:
0 <= x <= 30의뢰
Show child attributes
Show child attributes
고객
Show child attributes
Show child attributes
카테고리
Show child attributes
Show child attributes
커스텀 필드
Show child attributes
Show child attributes